.\" $Id: xfs.options.5 189 2005-06-11 00:04:27Z branden $
.\"
.\" Copyright 1998, 2002, 2004 Branden Robinson <branden@debian.org>.
.\"
.\" This is free software; you may redistribute it and/or modify
.\" it under the terms of the GNU General Public License as
.\" published by the Free Software Foundation; version 2.
.\"
.\" This is distributed in the hope that it will be useful, but
.\" WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License with
.\" the Debian operating system, in /usr/share/common-licenses/GPL;  if
.\" not, write to the Free Software Foundation, Inc., 59 Temple Place,
.\" Suite 330, Boston, MA 02111-1307 USA
.TH xfs.options 5 "2004\-11\-04" "Debian Project"
.SH NAME
xfs.options \- configuration options for the X font server
.SH DESCRIPTION
.I /etc/X11/fs/xfs.options
contains a set of flags that determine some of the behavior of the X font
server
.BR xfs (1).
.PP
.I /etc/X11/fs/xfs.options
may contain comments, which begin with a hash mark (\(oq#\(cq) and end at
the next newline, just like comments in shell scripts.
The rest of the file consists of options which are expressed as words
separated by hyphens, with only one option per line.
Options are enabled by simply placing them in the file; they are disabled
by prefixing the option name with \(oqno\-\(cq.
.PP
Available options are:
.TP
.B restart\-on\-upgrade
.B Enable this option with caution on \(oqproduction\(cq machines;
it causes the
.B xfs
daemon to be stopped and restarted on upgrade.
This will break all existing connections by X servers to the font server,
and as a result may deprive them of access to fonts.
In some situations this could be an unwelcome surprise (for instance, for
remote
.B xfs
users who had no idea the administrator was performing system maintenance).
On the other hand, for machines that stay up for long periods of time,
leaving the old daemon running can be a bad idea if the new version has,
for instance, a fix for a security vulnerability (overwriting
.BR xfs 's
executable on the file system has no effect on the copy of
.B xfs
in memory).
This behavior is disabled by default:
.B xfs
will be not be stopped or started during an upgrade of its package; the
administrator will have to do so by hand (with
.B invoke\-rc.d xfs restart
or by rebooting the system) before the newly installed
.B xfs
binary is used.
.PP
Since no options are enabled by default,
.I /etc/X11/fs/xfs.options
is not created automatically.
.SH AUTHOR
Branden Robinson customized
.BR xfs 's
package maintainer scripts to implement the functionality described above.
.SH SEE ALSO
.BR xfs (1)
.\" vim:set et tw=80:
